aboutsummaryrefslogtreecommitdiff
path: root/src/ipsec-tools/ipsec.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/ipsec-tools/ipsec.rc')
-rwxr-xr-xsrc/ipsec-tools/ipsec.rc35
1 files changed, 35 insertions, 0 deletions
diff --git a/src/ipsec-tools/ipsec.rc b/src/ipsec-tools/ipsec.rc
new file mode 100755
index 0000000..cff472c
--- /dev/null
+++ b/src/ipsec-tools/ipsec.rc
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Loading IPSec Security Policy Database..."
+ /usr/sbin/setkey -f /etc/ipsec.conf &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon ipsec
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Unloading IPSec Security Policy Database..."
+ /usr/sbin/setkey -F -P
+ /usr/sbin/setkey -F
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon ipsec
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0